Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceFormsOnline

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/formsOnline")
      public interface ServiceFormsOnline
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getForm​(String appId, String formName, org.fusesource.restygwt.client.MethodCallback<List<FormFieldDTO>> callback)` |
    `void` | `getFormLayer​(String appId, String formName, String layerType, org.fusesource.restygwt.client.MethodCallback<FormLayerDTO> callback)` |
    `void` | `getMyRequests​(String appId, org.fusesource.restygwt.client.MethodCallback<List<FormRequestDTO>> callback)` |
    `void` | `getReceivablesForms​(String appId, org.fusesource.restygwt.client.MethodCallback<List<FormDTO>> callback)` |
    `void` | `getRequests​(String appId, String formId, org.fusesource.restygwt.client.MethodCallback<List<FormRequestDTO>> callback)` |
    `void` | `getSendablesForms​(String appId, org.fusesource.restygwt.client.MethodCallback<List<FormDTO>> callback)` |
    `void` | `getUserField​(String appId, String formName, String fieldName, org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)` |
    `void` | `loadRequest​(String appId, String requestId, org.fusesource.restygwt.client.MethodCallback<FormRequestDTO> callback)` |
    `void` | `processRequest​(String appId, String requestId, ValidationRequestDTO validation, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `saveForm​(String appId, String formId, org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |

- - ### Method Detail

    - #### loadRequest

          @POST
          @Path("{appId}/loadRequest/{requestId}")
          void loadRequest​(@PathParam("appId")
                           String appId,
                           @PathParam("requestId")
                           String requestId,
                           org.fusesource.restygwt.client.MethodCallback<FormRequestDTO> callback)

    - #### getSendablesForms

          @GET
          @Path("{appId}/sendables")
          void getSendablesForms​(@PathParam("appId")
                                 String appId,
                                 org.fusesource.restygwt.client.MethodCallback<List<FormDTO>> callback)

    - #### getMyRequests

          @GET
          @Produces("application/json")
          @Path("{appId}/myrequests")
          void getMyRequests​(@PathParam("appId")
                             String appId,
                             org.fusesource.restygwt.client.MethodCallback<List<FormRequestDTO>> callback)

    - #### getFormLayer

          @GET
          @Produces("application/json")
          @Path("{appId}/formlayer/{formName}/{layerType}")
          void getFormLayer​(@PathParam("appId")
                            String appId,
                            @PathParam("formName")
                            String formName,
                            @PathParam("layerType")
                            String layerType,
                            org.fusesource.restygwt.client.MethodCallback<FormLayerDTO> callback)

    - #### getForm

          @GET
          @Path("{appId}/form/{formName}")
          void getForm​(@PathParam("appId")
                       String appId,
                       @PathParam("formName")
                       String formName,
                       org.fusesource.restygwt.client.MethodCallback<List<FormFieldDTO>> callback)

    - #### saveForm

          @POST
          @Path("{appId}/saveForm/{formId}")
          void saveForm​(@PathParam("appId")
                        String appId,
                        @PathParam("formId")
                        String formId,
                        org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### getUserField

          @GET
          @Path("{appId}/form/{formName}/{fieldName}")
          void getUserField​(@PathParam("appId")
                            String appId,
                            @PathParam("formName")
                            String formName,
                            @PathParam("fieldName")
                            String fieldName,
                            org.fusesource.restygwt.client.MethodCallback<List<BaseDTO>> callback)

    - #### getRequests

          @GET
          @Path("{appId}/requests/{formId}")
          void getRequests​(@PathParam("appId")
                           String appId,
                           @PathParam("formId")
                           String formId,
                           org.fusesource.restygwt.client.MethodCallback<List<FormRequestDTO>> callback)

    - #### getReceivablesForms

          @GET
          @Path("{appId}/receivables")
          void getReceivablesForms​(@PathParam("appId")
                                   String appId,
                                   org.fusesource.restygwt.client.MethodCallback<List<FormDTO>> callback)

    - #### processRequest

          @POST
          @Path("{appId}/processRequest/{requestId}")
          void processRequest​(@PathParam("appId")
                              String appId,
                              @PathParam("requestId")
                              String requestId,
                              ValidationRequestDTO validation,
                              org.fusesource.restygwt.client.MethodCallback<Void> callback)